# $Revision: 1.17 $, $Date: 2011/10/11 11:09:50 $
#
# Conditional build:
%bcond_with	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	Interface
Summary:	IO::Interface - Perl extension to access interface information
Summary(pl.UTF-8):	IO::Interface - rozszerzenie Perla do dostępu do informacji o interfejsach
Name:		perl-IO-Interface
Version:	1.05
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0ac2e6bac4d385a01355acea8b6190cc
URL:		http://search.cpan.org/dist/IO-Interface/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IO::Interface adds methods to IO::Socket objects that allows them to
be used to retrieve and change information about the network
interfaces on your system.  In addition to the object-oriented access
methods, you can use a function-oriented style.

%description -l pl.UTF-8
IO::Interface dodaje do obiektów IO::Socket metody pozwalające na
używanie ich do pobierania i zmiany informacji o interfejsach
sieciowych w systemie. Oprócz metod zorientowanych obiektowo można
używać także wywołań zorientowanych na funkce.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IO/Interface.pm
%dir %{perl_vendorarch}/IO/Interface
%{perl_vendorarch}/IO/Interface/Simple.pm
%dir %{perl_vendorarch}/auto/IO/Interface
%attr(755,root,root) %{perl_vendorarch}/auto/IO/Interface/*.so
%{perl_vendorarch}/auto/IO/Interface/*.bs
%{perl_vendorarch}/auto/IO/Interface/autosplit.ix
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IO-Interface.spec,v $
Revision 1.17  2011/10/11 11:09:50  lisu
- rel 4

Revision 1.16  2010/11/12 23:38:06  pawelz
- release 3

Revision 1.15  2010/06/06 08:38:07  arekm
- release 2

Revision 1.14  2009/09/15 09:35:55  amateja
- updated to 1.05

Revision 1.13  2009/03/14 11:49:09  hawk
- release 2

Revision 1.12  2008/03/02 16:44:25  radek
- version 1.04

Revision 1.11  2008-02-10 12:12:36  arekm
- rel 2

Revision 1.10  2008-01-10 08:38:38  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.9  2007-05-27 14:08:01  qboosh
- unified License format

Revision 1.8  2007/05/27 13:16:23  agaran
- up to 1.03, rel 1, builds here

Revision 1.7  2007/03/27 18:22:15  radek
- rel 2

Revision 1.6  2007/03/27 18:08:47  radek
- tests off (failing on builders due to environment)

Revision 1.5  2007/02/13 07:47:12  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:34  baggins
- converted to UTF-8

Revision 1.3  2006/11/17 22:26:44  maciek2w
- updated to 1.02; rel 1

Revision 1.2  2006/04/15 15:27:08  qboosh
- pl

Revision 1.1  2006/04/08 16:50:57  agaran
- initial spec
